Download Collection
GET/api/v1/assetcollection/:collection_id/download
Download assets in a Collection as a zip file or retrieve a downloadable URL (URL will expire in 10 minutes).
Note
- If
as_urlparameter is set toy, the response body contains the download URL. Example:/api/v1/assetcollection/1/download?as_url=y - If
as_urlparameter is not set, download will start immediately. Download will be a zip file withContent-Dispositionheader set toattachment; filename="download.zip". - If there are no assets to be downloaded in a collection the API returns
400Bad request.
warning
When as_url=y, the download URL expires in 10 minutes — the download must be started within 10 minutes of the URL creation time.
Request
Responses
- 200
- 401
- 403
- 500
Successful operation
Unauthorized - Invalid or missing authentication
Forbidden - Insufficient permissions
Internal server error